Raritan / Server Technology Xerus™ PDU JSON-RPC API: net::Diagnostics Interface Reference

Raritan / Server Technology Xerus™ PDU JSON-RPC API

Public Member Functions | Public Attributes | List of all members
net::Diagnostics Interface Reference

Diagnostics interface. More...

`import"Diagnostics.idl";`

## Public Member Functions
int | ping (in string hostName, in int count, out vector< string > results)
| Ping a network host (send out ICMP echo requests) More...
int | traceRoute (in string hostName, in int timeout, in boolean useIcmp, out vector< string > results)
| Get the route packet trace to a network host. More...
int | listTcpConnections (out vector< string > results)
| List the currently active TCP connections. More...
int | listTcpUdpListenSockets (out vector< string > results)
| List TCP/UDP listen (server) sockets. More...
void | resolveHostName (in string hostName, out vector< string > results)
| Test whether resolving a host name works and provide diagnostic information. More...

## Public Attributes
constant int | NO_ERROR = 0
| No error.
constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.
constant int | ERR_EXEC_FAIL = 2
| Error during execution.
constant int | ERR_TIMEOUT = 3
| Timeout.
constant int | ERR_RESOLVE_FAIL = 4
| Name resolution failure.

## Detailed Description

Diagnostics interface.

## Member Function Documentation

## ◆ listTcpConnections()

int net::Diagnostics::listTcpConnections | ( | out vector< string > | results | ) |

List the currently active TCP connections.

Returns
  NO_ERROR if successful
  ERR_EXEC_FAIL if an error occured during execution of the socket statistic utility

## ◆ listTcpUdpListenSockets()

int net::Diagnostics::listTcpUdpListenSockets | ( | out vector< string > | results | ) |

List TCP/UDP listen (server) sockets.

Returns
  NO_ERROR if successful
  ERR_EXEC_FAIL if an error occured during execution of the socket statistic utility

## ◆ ping()

int net::Diagnostics::ping | ( | in string | hostName,
|  | in int | count,
|  | out vector< string > | results
| ) |  |

Ping a network host (send out ICMP echo requests)

Parameters

  hostName | host that should be pinged
  count | number of echo requests that should be sent (up to 20)
  results | output of the ping command

Returns
  NO_ERROR if ping command was successful
  ERR_INVALID_PARAM if any parameters were invalid
  ERR_EXEC_FAIL if there was an error during ping execution
  ERR_RESOLVE_FAIL if the host name could not be resolved

## ◆ resolveHostName()

void net::Diagnostics::resolveHostName | ( | in string | hostName,
|  | out vector< string > | results
| ) |  |

Test whether resolving a host name works and provide diagnostic information.

Parameters

  hostName | host name to resolve
  results | result (includes meta data and the actual result or error message)

## ◆ traceRoute()

int net::Diagnostics::traceRoute | ( | in string | hostName,
|  | in int | timeout,
|  | in boolean | useIcmp,
|  | out vector< string > | results
| ) |  |

Get the route packet trace to a network host.

Parameters

  hostName | destination host to track
  timeout | Timeout (in seconds) to wait for traceroute results (up to 900)
  useIcmp | use ICMP packets instead of UDP packets
  results | trace output

Returns
  NO_ERROR if traceroute was successful
  ERR_INVALID_PARAM if any parameters were invalid
  ERR_EXEC_FAIL if there was an error during traceroute execution
  ERR_TIMEOUT if traceroute didn't finish before timeout elapsed
  ERR_RESOLVE_FAIL if the host name could not be resolved

The documentation for this interface was generated from the following file:

- Diagnostics.idl